<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>{{certificador.nombre_certificador}}</strong>
    </div>
    <div>
      <!--<router-link tag="li" to="/hello">
        <strong>
          <u>
            <small>¿No es el Certificador que buscabas? Regresa al buscador</small>
          </u>
        </strong>
      </router-link>-->
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Perfil del Certificador: </strong>
        <strong>{{certificador.nombre_certificador}}</strong>
      </div>
      <div>
        <span
          >Información con corte al {{ this.dia }} de {{ this.mes }}
          {{ this.anio }}</span>
      </div>
    </div>
    <div class="titSec">
      <v-row style="position: relative">
        <v-col style="height: 40px; top: 50%">
          <div>Datos del Certificador</div>
        </v-col>
      </v-row>
    </div>
    <div class="gris">
      <v-row class="ma-0 pa-0">
        <v-col :cols="3" :sm="3" class="ma-0 pa-1 columna">
          <v-text-field
            disabled
            v-model="certificador.nombre_certificador"
            label="Nombre:">
          </v-text-field>
        </v-col>
        <v-col :cols="3" :sm="3" class="ma-0 pa-1 columna">
          <v-text-field
            disabled
            v-model="certificador.id_certificador"
            label="Número de empleado:">
          </v-text-field>
        </v-col>
      </v-row>
    </div>

    <div class="gris">
      
      <TablaCertificadores :filtros="filtros"/>

    </div>
  </div>
</template>

<style scoped>
.circulo {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  display: inline-block;
}
.columna {
  height: 50px;
}
</style>

<script>
import TablaCertificadores from "@/views/secure/certificacion-calidad/components/TablaCertificadores011_006_007.vue";
import store from "@/store";
import axios from "axios";
import router from "@/router";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name:"CertificadorCalidadDetalle",
  components:{
      TablaCertificadores
  },
  data() {
    return {
      certificador:{},
      dia: 0,
      mes: "",
      anio: 0,
      filtros:{},
       months: [
        "Enero",
        "Febrero",
        "Marzo",
        "Abril",
        "Mayo",
        "Junio",
        "Julio",
        "Agosto",
        "Septiembre",
        "Octubre",
        "Noviembre",
        "Diciembre",
      ],
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Revisión en Sitio",
          disabled: false,
          exact: true,
          to: {
            name: "certificacion_calidad_director",
          },
        },
        {
          text: "Dashboard",
          disabled: true,
        },
        {
          text: "Certificador de Calidad",
          disabled: true,
        }
      ]
    };
  },
  methods:{
    
    getDatosCertificador(){
      const self = this;
      let url =
        "/franquicia/dashboard/consulta/secure/buscador/get/certificador/?"
        +"idCertificador=" + this.certificador.id_certificador
      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data[0];
              if (data) {
                console.log("Datos de certificador");
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    },
    getDateYesterday() {
      var date = new Date();
      date.setDate(date.getDate() - 1);
      this.dia = date.getDate();
      this.mes = this.months[date.getMonth()];
      this.anio = date.getFullYear();
      
    },
    formatDate(date) {
      var d = new Date(date),
        month = "" + (d.getMonth() + 1),
        day = "" + d.getDate(),
        year = d.getFullYear();

      if (month.length < 2) month = "0" + month;
      if (day.length < 2) day = "0" + day;

      return [day, month, year].join("/");
    }

  },
  created() {
    if (this.$route.params.certificador) {

      this.certificador = this.serviceCommons.base64ToObject(
        this.$route.params.certificador
      );
      
    }

    if(this.$route.params.puntoVenta){

      const puntoVenta  = this.serviceCommons.base64ToObject(
        this.$route.params.puntoVenta
      );

      if(puntoVenta.certificador){
        let id_certificador = puntoVenta.certificador;
        this.certificador.id_certificador = id_certificador;
      }

      if(puntoVenta.nombre_certificador){
        let nombre_certificador = puntoVenta.nombre_certificador;
         this.certificador.nombre_certificador = nombre_certificador;
      }

      if(puntoVenta.id_usuario){
        let id_usuario = puntoVenta.id_usuario;
         this.certificador.id_certificador = id_usuario;
      }

      if(puntoVenta.nombre_usuario){
        let nombre_usuario = puntoVenta.nombre_usuario;
         this.certificador.nombre_certificador = nombre_usuario;
      }

    }

    if (this.$route.params.filtros){

      this.filtros  = this.serviceCommons.base64ToObject(
        this.$route.params.filtros
      );

      this.filtros.id_certificador = this.certificador.id_certificador;
      this.filtros.idGerente = null;
      this.filtros.idNegocio = 1 //PENDIENTE QUITAR LOS NEGOGIOS 1 en DURO. por prefijo del punto de venta, podría definir el negocio. 
    }


    this.getDateYesterday();
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  }
};
</script>